Delete voice consent
client.Audio.VoiceConsents.Delete(ctx, consentID) (*VoiceConsentDeleted, error)
DELETE
/audio/voice_consents/{consent_id}Delete voice consent
package main
import (
"context"
"fmt"
"github.com/openai/openai-go"
"github.com/openai/openai-go/option"
)
func main() {
client := openai.NewClient(
option.WithAPIKey("My API Key"),
)
voiceConsentDeleted, err := client.Audio.VoiceConsents.Delete(context.TODO(), "consent_id")
if err != nil {
panic(err.Error())
}
fmt.Printf("%+v\n", voiceConsentDeleted.ID)
}
200 example
{
"id": "cons_1234",
"deleted": true,
"object": "audio.voice_consent"
}Returns Examples
200 example
{
"id": "cons_1234",
"deleted": true,
"object": "audio.voice_consent"
}